cURL
curl --request POST \ --url https://recoup-api.vercel.app/api/research/extract \ --header 'Content-Type: application/json' \ --data ' { "urls": [ "<string>" ], "objective": "<string>", "full_content": false } '
{ "status": "success", "results": [ { "url": "<string>", "title": "<string>", "publish_date": "<string>", "excerpts": [ "<string>" ], "full_content": "<string>" } ], "errors": [ {} ] }
Extract clean markdown content from one or more public URLs. Handles JavaScript-heavy pages and PDFs. Returns focused excerpts aligned to an objective, or full page content.
URLs to extract content from (max 10).
10
What information to focus on (optional, max 3000 chars).
Return full page content instead of focused excerpts.
Extracted content from URLs
success
error
Show child attributes
URLs that failed to extract.
Was this page helpful?